@import url('https://fonts.googleapis.com/css?family=Roboto:wght@400;700&display=swap');
*{
    box-sizing: border-box;
}
body{
    font-family:'Roboto', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin: 0;
    background-color: #2c3e50;
}
/* two triangles will be displayed as before and after attributes */
.kinetic{
    position: relative;
    height: 80px;
    width: 80px;
}
.kinetic::before, .kinetic::after{
    content:'';
    position: absolute;
    top:0;
    left:0;
    width: 0;
    height: 0;
    border:50px solid transparent;
    border-bottom-color:#fff;
    animation: rotateA 2s linear 0.5s infinite;
}

.kinetic::before{
    transform: rotate(91deg);
    animation: rotateB 2s linear  infinite;
}
/* to add an animation */
@keyframes rotateA {
   0%,25%{
    transform: rotate(0deg);
   } 
   50%,75%{
    transform: rotate(180deg);
   }
   100%{
    transform: rotate(360deg);
   }
}

@keyframes rotateB {
    0%,25%{
     transform: rotate(90deg);
    } 
    50%,75%{
     transform: rotate(270deg);
    }
    100%{
     transform: rotate(450deg);
    }
 }